org.apache.fop.layoutmgr

## Interface ElementListObserver.Observer

- Enclosing class:
    ElementListObserver

      public static interface ElementListObserver.Observer

  Implement this interface to receive notifications on element lists.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `observe(List elementList, String category, String id)` Notifies the observer about the element list.

- - ### Method Detail

    - #### observe

          void observe(List elementList,
                       String category,
                       String id)

      Notifies the observer about the element list.
      Parameters:
        `elementList` - the Knuth element list
        `category` - the category for the element list (example: main, static-content or table-cell)
        `id` - ID for the element list (may be null)

Copyright © 2023 Apache Software Foundation. All rights reserved.